import { useEffect, useState } from 'react';
import { useParams } from 'react-router-dom';
import { connect } from 'react-redux';

import { actionFindPostOne } from '../redux/action';
import { Container } from '@mui/system';
import Grid from '@mui/material/Grid'; // Grid version 1
import Grid2 from '@mui/material/Unstable_Grid2/Grid2';
import { Paper, Box } from '@mui/material';
import { styled } from '@mui/material/styles';

import { MyCarousel } from '../feed/carousel';


const Item = styled(Paper)(() => ({
    // padding: '0 10px',
    borderRadius: 0,
    boxShadow: 'none',
}))


function Comments({ post = {}, loadPost }) {

    // const post2 = useSelector(state => state?.CategoryGoodsAndSubCategoryGoods?.payload)
    const { postId } = useParams() // отслеживаем изменения в урле
    useEffect(() => { loadPost(postId) }, [postId]) // перезапускаем loadPost, если произошло изменение в урле

    // console.log('post: ', post)
    // console.log('comment: ', post.comments[0]
    // )

    return (
        // <div>
        //     {/* <div>{user} and {postId}</div> */}
        //     <h2>{post.createdAt}</h2>
        //     {post._id}
        //     <p></p>
        // </div>
        // <Container>
        //     <Grid container spacing={2}>
        //         <Grid xs={9}>
        //             <div style={{ backgroundColor: "red" }}>
        //                 <MyCarousel />
        //             </div>
        //         </Grid>
        //         <Grid xs={3}>
        //             <div style={{ backgroundColor: "yellow" }}>
        //                 jhjh
        //             </div>
        //         </Grid>
        //     </Grid>
        // </Container >




        //  <Container sx={{
        //     width: '80%',
        //     mt: 1
        // }}>
        <Box sx={{ flexGrow: 1 }}>
            <Grid2 container>
                <Grid2 xs={9}>
                    <Item sx={{
                        // width: 500,
                        // height: 900,
                        backgroundColor: "red"
                    }}>
                        <MyCarousel
                            sx={{
                                // width: '100%',
                                height: '100%'
                            }}
                        />
                    </Item>
                </Grid2>
                <Grid2 xs={3}>
                    <Item sx={{
                        // position: 'fixed'
                    }}>
                        <div style={{ backgroundColor: "yellow" }}>
                            jhjh
                        </div>
                    </Item>
                </Grid2>
            </Grid2>
        </Box>
        // </Container>


    )
}

// export const CComments = connect(state => ({ post: state?.PostFindOne?.payload }), { loadPost: actionFindPostOne })(Comments)

// 3 изменение
export const CComments = connect(state => ({ post: state?.promise?.PostFindOne?.payload }), { loadPost: actionFindPostOne })(Comments)